`hammer subscription list` is not consistent when you use --organization or --organization-id
Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1100198 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1100198

Description of problem:

Command `hammer subscription list` is not consistent when you use --organization or --organization-id option.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140521.0

How reproducible:

always

Steps to Reproduce:

1. Create some products in your Sat6

2. # hammer subscription list --organization ACME_Corporation

missing param 'system_id' in parameters

3. # hammer subscription list --organization-id 1

-----|----------|---------|---------|-----------|----------|------------|----------------------------------|---------|-----------|---------

NAME | CONTRACT | ACCOUNT | SUPPORT | QUANTITY  | CONSUMED | END DATE   | ID                               | PRODUCT |

QUANTITY  | ATTACHED

-----|----------|---------|---------|-----------|----------|------------|----------------------------------|---------|-----------|---------

RHEL |          |         |         | Unlimited | 0        | 2044-05-13 | <hash>                     | RHEL    | Unlimited | 0

Sat6 |          |         |         | Unlimited | 0        | 2044-05-13 | <hash>                     | Sat6    | Unlimited | 0

-----|----------|---------|---------|-----------|----------|------------|----------------------------------|---------|-----------|---------

Actual results:

Behavior of the tool differs based on which option from --organization or --organization-id you choose

Expected results:

Behavior should match or should be documented

Additional info:

1. hammer subscription list -h

Usage:

hammer subscription list [OPTIONS]

Options:

--activation-key ACTIVATION_KEY_NAME

--activation-key-id ACTIVATION_KEY_ID Activation key ID

--organization ORGANIZATION_NAME

--organization-id ORGANIZATION_ID Organization ID

--organization-label ORGANIZATION_LABEL

--system SYSTEM_NAME

--system-id SYSTEM_ID         UUID of the system

-h, --help                    print help
History

#1 - 05/22/2014 08:37 PM - Brad Buckingham

- Triaged set to Yes

#2 - 06/06/2014 09:08 PM - dustin tsang

- Status changed from New to Closed

seems to be working in upstream already

https://gist.github.com/dustint-rh/544820e89aa8cd2a9fb3

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
